FULMAT(3)

SYNOPSIS
SUBROUTINE FULMAT (I, J, AIJ, INDCAT, PRGOPT, DATTRV, IFLAG)

NAME
fulmat - Subsidiary to SPLP

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (FULMAT-S, DFULMT-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
DECODES A STANDARD TWO-DIMENSIONAL FORTRAN ARRAY PASSED IN THE ARRAY DATTRV(IA,*). THE ROW DIMENSION IA AND THE MATRIX DIMENSIONS MRELAS AND NVARS MUST SIMULTANEOUSLY BE PASSED USING THE OPTION ARRAY, PRGOPT(*). IT IS AN ERROR IF THIS DATA IS NOT PASSED TO FULMAT( ). EXAMPLE-- (FOR USE TOGETHER WITH SPLP().) EXTERNAL USRMAT DIMENSION DATTRV(IA,*) PRGOPT(01)=7 PRGOPT(02)=68 PRGOPT(03)=1 PRGOPT(04)=IA PRGOPT(05)=MRELAS PRGOPT(06)=NVARS PRGOPT(07)=1 CALL SPLP( ... FULMAT INSTEAD OF USRMAT...)

SEE ALSO
SPLP

ROUTINES CALLED
XERMSG

REVISION HISTORY (YYMMDD)
811215 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900328 Added TYPE section. (WRB)